Bug 93 - warnings при перезапуске apache
: warnings при перезапуске apache
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/apache)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2001-10-20 21:19 by
Modified: 2009-05-10 09:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2001-10-20 21:19:30
множественные warnings при перезапуске httpd
awk: cmd. line:1: warning: escape sequence `\\.\' treated as plain `.\'
awk: cmd. line:1: warning: escape sequence `\\.\' treated as plain `.\'
awk: cmd. line:1: warning: escape sequence `\\.\' treated as plain `.\'
awk: cmd. line:1: warning: escape sequence `\\.\' treated as plain `.\'
awk: cmd. line:1: warning: escape sequence `\\.\' treated as plain `.\'

Пакет AWK - gawk-3.1.0-alt1

Лечится добавлением в скрипт, вызывающий awk перенаправления ошибок в /dev/null

                        module=`echo ${module} | awk --posix \'{\\                
                                gsub(\".*/\",\"\");\\                                
                                gsub(\"^mod_\",\"\");\\                              
                                gsub(\"^lib\",\"\");\\                               
                                gsub(\"\\\\.so$\",\"\");\\                             
                                print toupper($0)}\' 2>/dev/null`                

---

---

------- Comment #1 From 2001-10-24 21:30:10 -------
Fixed in 1.3.22rusPL30.9-alt1
------- Comment #2 From 2001-10-24 21:30:10 -------
Fixed in 1.3.22rusPL30.9-alt1